# Hekili

## [v9.1.5-1.0.4-alpha8](https://github.com/Hekili/hekili/tree/v9.1.5-1.0.4-alpha8) (2021-12-02)
[Full Changelog](https://github.com/Hekili/hekili/compare/v9.1.5-1.0.3...v9.1.5-1.0.4-alpha8) [Previous Releases](https://github.com/Hekili/hekili/releases)

- Allow action.X.usable == nil to still be treated as usable in state:IsUsable().  
- action.fire\_blast.usable should return true in combat.  
- More efficiency tweaks.  
- Default buff.casting.name is "Casting."  
- Tweak buff aliases.  
- Simplify Bloodtalons.  
- Fix Cyclone spell ID.  
- Remove invalid auras.  
- When spellcasts change, force a full reset before next recommendations (may want to split this up by whether we need CDs, auras, or resources reset).  
- Bloodtalons quickfix.  
- Remove opener debug prints (Arcane).  
- More efficiency efforts.  Create a screenshot when snapshotting.  
- Priority maintenance and efficiency (round 1):  I added more strict flags to prevent checking action lists that are not reachable now and won't be reachable based solely on passage of time.  
    Guardian:  Fix multifunction berserk\_bear aura.  
    Arcane:  Hardcode opener\_done flag.  
- Merge branch 'shadowlands' of https://github.com/Hekili/hekili into shadowlands  
- Merge pull request #1296 from ChrisKader/shadowlands  
    Tooltip should show Cov rather than AzE (BfA).  
- This is not the AoE you're looking for....  
    Its a covenant!  
- Fixed spelling error of AoE.  
- Iterate on efficiency changes...  
- Quickfix for #1292, I think.  
- Further attempts at improving performance.  
    - Don't update recommendations in the same frame as a reset.  
    - Don't cache-on-demand since it was just obscuring what was slow.(Force update of buffs/debuffs/cooldowns on reset.)  
    - Don't check TimeToReady if an action IsReady.  
    - Max delay/wait is reduced to 10.  
    - Max CPU time feature is a little more aggressive.  
    - Hekili:DumpProfileInfo will provide a lot more data (if profiling is enabled).  
    - Minor tweak to UnitIsUnit.  
    - See if we can get away ignoring rechecks for call/run\_action\_list.  
    Tweak Gladiator's Badge again.  
    - Reduce calls to GetSpellCooldown for the GCD.  
    - Move function checks up in IsUsable.  
    Simplify time\_to\_hpg for Retribution.  
- Minor tweak to throttle gear updates, maybe.  
- Arcane:  Fix just\_used\_spark class variable.  
- Marksmanship:  APL update.  
- Merge branch 'shadowlands' of https://github.com/Hekili/hekili into shadowlands  
- Subtlety:  Update priority for Kyrian.  
- Test:  Treat any RunHandler outside of a reset as modifying the game state (was otherwise not resetting when multiple instants filled a multi-icon queue).  
- Merge pull request #1279 from Nmxsz/shadowlands  
- Arcane:  Move priority variables into the class module to increase efficiency.  Use strict APL forking to reduce processing time of priority lists.  
- Test:  Reduce CPU usage by refreshing game state less often if it shouldn't have changed.  The same game state can be used for all single-icon displays.  
- Fix for offhand swing error, maybe.  
- Merge pull request #1 from Nmxsz/feature/discipline-priest-ramp-rotation  
    Discipline Ramp Rotation / Damage Rotation  
- Trial:  Remove some events that force the addon to update recommendations.  
- Add Touch of the Void heirloom on use because I'm lazy on my alt.  
- Discipline Ramp Rotation / Damage Rotation  
